<?php //asignarexamen.php Creado el 07/04/2010

if (isset($_GET["accion"])) {
    $accion= $_GET["accion"];
	if ($accion == "seleccionalumnos") { seleccionalumno($cod_examen); }
    else { seleccioexamen(); }
	}
else { seleccionexamen();}


function seleccionexamen()
	{
		$query=mysql_query("SELECT distinct cod_examen FROM generar_examen  ") or die(mysql_error());
	while ($extraigo=mysql_fetch_assoc($query)) 
		{ 
		$cod_examen=$extraigo['cod_examen'];
			echo "<ul>
					<li>".$extraigo['cod_examen']."</li>
					<li>".$extraigo['nom_asignatura']."</li>
					<li><a href='index_profesor.php?opcion=asignarexamen&accion=seleccionalumnos&cod_examen=".$cod_examen."'>Asignar examen a alumnos</a></li>

				</ul><br>"; 
				}
	
	}
function seleccionalumno($cod_examen)
	{
	$examen=$_GET['cod_examen'];

	if(isset($_POST['examen']))
		{
		 $alumnos=$_POST['alumnos'];
		 
		 for($n=0; $n < count($alumnos); $n++)
			{
				$alumno=$alumnos[$n];
				$preguntas=mysql_query("select * from generar_examen where cod_examen='$examen'");
				while($prueba=mysql_fetch_array($preguntas))
					{
					 $pregunta=$prueba['cod_pregunta'];
					$asignatura=$prueba['nom_asignatura'];
					 $query=mysql_query("insert into examen (cod_alumno,cod_examen,cod_pregunta,nom_asignatura) values ('$alumno','$examen','$pregunta','$asignatura')");
					}
				
			}
		}
		
	else
		{
		
			echo "<form action='index_profesor.php?opcion=asignarexamen&accion=seleccionalumnos&cod_examen=".$examen."' method='post'>";
			$query=mysql_query("SELECT * FROM alumno");
			while ($extraigo=mysql_fetch_assoc($query)) 
				{ 
					$id=$extraigo['cod_alumno'];
					echo "<ul>
							<li>".$extraigo['nombre']." ".$extraigo['apellido1']." ".$extraigo['apellido2']."</li>
							<li><input type='checkbox' name='alumnos[]' value='$id'></li>
					</ul>"; 
				}
			echo "<br><input type='submit' name='examen' value='Enviar examen'></form>";
		}
	}


?>